Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xalan.xslt
Class ElemApplyTemplates

    java.lang.Object
      |
      +--weblogic.apache.xalan.xslt.UnImplNode
            |
            +--weblogic.apache.xalan.xslt.ElemTemplateElement
                  |
                  +--weblogic.apache.xalan.xslt.ElemForEach
                        |
                        +--weblogic.apache.xalan.xslt.ElemApplyTemplates

public class ElemApplyTemplates
extends ElemForEach

Implement xsl:apply-templates.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Field Summary
`boolean` | `m_isDefaultTemplate`
`QName` | `m_mode`

Fields inherited from class weblogic.apache.xalan.xslt.ElemForEach
`m_doc_cache_off, m_selectPattern, m_sortElems`

Fields inherited from class weblogic.apache.xalan.xslt.ElemTemplateElement
`m_columnNumber, m_defaultSpace, m_elemName, m_excludedNamespaces, m_finishedConstruction, m_firstChild, m_lineNumber, m_namespaces, m_parentNode, m_stylesheet`

Constructor Summary
`ElemApplyTemplates(XSLTEngineImpl processor, Stylesheet stylesheetTree, java.lang.String name, org.xml.sax.AttributeList atts, int lineNumber, int columnNumber)`

Method Summary
`org.w3c.dom.Node` | `appendChild(org.w3c.dom.Node newChild)` Add a child to the child list.
`void` | `execute(XSLTEngineImpl processor, org.w3c.dom.Node sourceTree, org.w3c.dom.Node sourceNode, QName mode)`
`int` | `getXSLToken()`

Methods inherited from class weblogic.apache.xalan.xslt.ElemTemplateElement
`childrenToString, error, executeChildren, getBaseIdentifier, getChildNodes, getFirstChild, getLastChild, getLength, getNamespaceForPrefix, getNamespaceForPrefix, getNextSibling, getNodeName, getNodeType, getOwnerDocument, getParentNode, getTagName, hasChildNodes, isSpace, isWhiteSpace, item, processLocatedNode, processPrefixControl, shouldExcludeResultNamespaceNode, transformSelectedChildren`

Methods inherited from class weblogic.apache.xalan.xslt.UnImplNode
`cloneNode, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getElementsByTagName, getElementsByTagNameNS, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getPreviousSibling, hasAttribute, hasAttributeNS, hasAttributes, insertBefore, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, replaceChild, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setNodeValue, setPrefix, supports`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_mode

    public QName m_mode

### m_isDefaultTemplate

    public boolean m_isDefaultTemplate

Constructor Detail

### ElemApplyTemplates

    public ElemApplyTemplates(XSLTEngineImpl processor,
                              Stylesheet stylesheetTree,
                              java.lang.String name,
                              org.xml.sax.AttributeList atts,
                              int lineNumber,
                              int columnNumber)
                       throws org.xml.sax.SAXException

Method Detail

### getXSLToken

    public int getXSLToken()

  Overrides:
    getXSLToken in class ElemForEach

### execute

    public void execute(XSLTEngineImpl processor,
                        org.w3c.dom.Node sourceTree,
                        org.w3c.dom.Node sourceNode,
                        QName mode)
                 throws XSLProcessorException,
                        java.net.MalformedURLException,
                        java.io.FileNotFoundException,
                        java.io.IOException,
                        org.xml.sax.SAXException

  Overrides:
    execute in class ElemForEach

### appendChild

    public org.w3c.dom.Node appendChild(org.w3c.dom.Node newChild)
                                 throws org.w3c.dom.DOMException

  Add a child to the child list.

  Overrides:
    appendChild in class ElemTemplateElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD